### Method

# Gtk TreeStoreset_column_types

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_set_column_types (
      GtkTreeStore* tree_store,
      int n_columns,
      GType* types
    )

#### Description [src]

Sets the type of the columns in a tree store.

This function is meant primarily for types that inherit from `GtkTreeStore`, and should only be used when constructing a new `GtkTreeStore`.

This functions cannot be called after a row has been added, or a method on the `GtkTreeModel` interface is called on the tree store.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`n_columns`

  Type: `int`

  Number of columns for the tree store.

`types`

  Type: An array of `GType`

  An array of `GType` types, one for each column.

  The length of the array is specified in the `n_columns` argument.
  The data is owned by the caller of the method.